# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name void

Name:           ghc-%{pkg_name}
Version:        0.5.11
Release:        2%{?dist}
Summary:        Haskell 98 logically uninhabited data type

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-semigroups-devel
# End cabal-rpm deps

%description
A Haskell 98 logically uninhabited data type, used to indicate that
a given term should not exist.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Wed Jun 05 2013 Jens Petersen <petersen@redhat.com> - 0.5.11-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 0.5.11-1
- update to 0.5.11

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 0.5.8-1
- update to 0.5.8

* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 0.5.6-1
- update to 0.5.6

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 25 2012 Jens Petersen <petersen@redhat.com> - 0.5.5.1-1
- update to 0.5.5.1

* Mon Apr  9 2012 Jens Petersen <petersen@redhat.com> - 0.5.5-1
- BSD license
- depends on semigroups

* Mon Apr  9 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.5
